﻿@{
    ViewData["Title"] = $"{Model.FirstName} {Model.LastName}";
}

<partial name="/Views/Shared/_UserPartial.cshtml" />

<section>
    <div class="gap gray-bg">
        <div class="container-fluid">
            <div class="row">
                <div class="col-lg-12">
                    <div class="row" id="page-contents">
                        <div class="col-lg-3">
                            <aside class="sidebar static">

                                <div class="widget stick-widget">
                                    <h4 class="widget-title">Followers</h4>
                                    <ul class="followers">
                                        <li>
                                            <figure><img src="images/resources/friend-avatar3.jpg" alt=""></figure>
                                            <div class="friend-meta">
                                                <h4><a href="time-line.html" title="">Allen</a></h4>
                                                <a href="#" title="" class="underline">Send Request</a>
                                            </div>
                                        </li>
                                    </ul>
                                </div>
                            </aside>
                        </div>
                        <div class="col-lg-6" id="fillContainer">
                            @foreach (PostViewModel post in ViewBag.Posts)
                            {
                                <div class="central-meta item">
                                    <div class="user-post">
                                        <div class="friend-info">
                                            <figure>
                                                <img src="@Url.Action("GetImage", "Home", new { userId = post.UserId})" onerror='this.src="/images/profile-icon.png"' alt="">
                                            </figure>
                                            <div class="friend-name">
                                                <ins><a asp-controller="User" asp-action="Index" asp-route-id="@post.UserId" title="">@post.UserFirstName @post.UserLastName</a></ins>
                                                <span>@post.CreatedOn.ToLongDateString()</span>
                                            </div>
                                            <div class="post-meta">
                                                <div class="we-video-info">
                                                    <div class="description">
                                                        <p>
                                                            @post.Body
                                                        </p>
                                                    </div>
                                                    <ul>
                                                        <li>
                                                            <span class="comment" data-toggle="tooltip" title="" data-original-title="Comments">
                                                                <i class="ti-comments"></i>
                                                                <ins>@post.Comments.Count</ins>
                                                            </span>
                                                        </li>
                                                        <li>
                                                            <span class="like" data-toggle="tooltip" title="" data-original-title="Like" onclick='ajaxLikePost(@post.Id)'>
                                                                <i class="ti-heart"></i>
                                                                <ins>@post.Likes</ins>
                                                            </span>
                                                        </li>
                                                        <li>
                                                            <span class="dislike" data-toggle="tooltip" title="" data-original-title="Dislike" onclick='ajaxDislikePost(@post.Id)'>
                                                                <i class="ti-heart-broken"></i>
                                                                <ins>@post.Dislikes</ins>
                                                            </span>
                                                        </li>
                                                    </ul>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="coment-area">
                                            <ul class="we-comet" id="commentSection">
                                                @foreach (CommentViewModel comment in post.Comments)
                                                {
                                                    <li>
                                                        <div class="comet-avatar">
                                                            <img src="@Url.Action("GetImage", "Home", new { userId = comment.CommenterId})" onerror='this.src="/images/profile-icon.png"' alt="">
                                                        </div>
                                                        <div class="we-comment">
                                                            <div class="coment-head">
                                                                <h5><a href="time-line.html" title="">@comment.CommenterName</a></h5>
                                                                <span>@comment.CreatedOn</span>
                                                                <span data-toggle="tooltip" title="" data-original-title="Like" onclick='ajaxLikeComment(@comment.Id)'>
                                                                    <i class="ti-thumb-up"></i>
                                                                    <ins>@comment.Likes</ins>
                                                                </span>
                                                                <span data-toggle="tooltip" title="" data-original-title="Dislike" onclick='ajaxDislikeComment(@comment.Id)'>
                                                                    <i class="ti-thumb-down"></i>
                                                                    <ins>@comment.Dislikes</ins>
                                                                </span>
                                                                <a class="we-reply" href="#" data-toggle="tooltip" title="" data-original-title="Reply"><i class="fa fa-reply"></i></a>
                                                            </div>
                                                            <p>@comment.Body</p>
                                                        </div>

                                                    </li>
                                                }
                                                <li class="post-comment">
                                                    <div class="comet-avatar">
                                                        <img src="@Url.Action("GetImage", "Home", new { userId = Model.Id})" onerror='this.src="/images/profile-icon.png"' alt="">
                                                    </div>
                                                    <div class="post-comt-box">
                                                        <form asp-action="PostComment" method="post" onkeydown='jqueryPost(this)'>
                                                            <input type="hidden" id="userId" name="userId" value="@Model.Id" />
                                                            <input type="hidden" id="postId" name="postId" value="@post.Id" />
                                                            <textarea placeholder="Comment as @Model.FirstName @Model.LastName" id="commentText" name="commentText"></textarea>
                                                        </form>
                                                    </div>
                                                </li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                            }
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>